                    QUOTATIONS OF THOMAS JEFFERSON
                    

BANK (NATIONAL) (ALTERNATIVES TO)

"But it will be asked, are we to have no banks? Are merchants and 
others to be deprived of the resources of short accommodations, found 
so convenient? I answer, let us have banks; but let them be such as 
are alone to be found in any country on earth, except Great Britain. 
There is not a bank of discount on the continent of Europe...which 
offers anything but cash in exchange for discounted bills. No one has 
a natural right to the trade of a money lender, but he who has the 
money to lend. Let those then, among us, who have a monied capital, 
and who prefer employing it in loans rather than otherwise, set up 
banks, and give cash or national bills for the notes they discount." 
(Letter to J.W. Eppes, 1813). THOMAS JEFFERSON ON DEMOCRACY 77 (S. 
Padover Ed. 1953).

"If the Treasury had ventured its credit in bills of circulating 
size, as of five or ten dollars, they would have been greedily 
received by our people in preference to bank paper. But unhappily... 
the country (has) delivered itself bound hand and foot to the bold 
and bankrupt adventurers" who pretend "to be money-holders, whom it 
could have crushed at any moment." (Letter to Gallatin, October 16, 
1815).

"In this state of things, we are called upon to add ninety millions 
more to the circulation. Proceeding in this career, it is infallible 
that we must end where the revolutionary war ended..."

"If Treasury bills are emitted on a tax appropriated for their 
redemption in fifteen years and...bearing interest of six percent, 
there is no one who would not take them in preference to the bank 
paper now afloat...[These bills would be a kind of combination bond 
and circulating currency, issued in small denominations and bearing 
interest at the rate of 6 per cent]. Their credit once established, 
others might be emitted bottomed also on a tax, but not bearing 
interest; and if ever their credit faltered...these bills alone 
should be received as specie." And finally: "The States 
should...transfer the right of issuing circulating currency to 
Congress exclusively, in perpetuum..." (Letter to Eppes).

BANK (NATIONAL) (HAMILTON'S PLAN FOR)

"Hamilton's financial system...had two objects: First, as a puzzle,
to exclude popular understanding and inquiry; Second, as a machine
for corruption of the legislature; for he avowed the opinion, that
man could be governed only by one of two motives only, force or
interest; force he observed, in this country was out of the question,
and the interests, therefore, of the members must be laid hold of,
to keep the legislature in unison with the executive." (Feb. 4, 
1818).

BANK (NATIONAL) (INTEREST)

"If the debt which the banking companies owe be a blessing...it is 
to themselves alone, who are realizing a solid interest of eight 
to ten per cent on it. As to the public, these companies have 
banished all our gold and silver medium, which...before we had 
without interest, which never could have perished in our hands, 
and would have been our salvation now in the hour of war; instead 
of which they have given us two hundred millions of froth and bubble, 
on which we are to pay them heavy interest..." (Letter to Eppes).

"Here we have a set of people...who have bestowed on us the great 
blessing of running in out debt about 200 millions of dollars, 
without our knowing who they are or what they are...And to fill up 
the measure of blessings, instead of paying, they receive an interest 
on what they owe...And they are so ready still to deal out their 
liberalities to us that they are willing to let themselves run our 
debt ninety millions more, on our paying them the same premium of six 
or eight percent interest..." (Letter to Eppes, November 6, 1813).

"(T)he toleration of banks of paper discount, costs the United States 
one-half of their war taxes, or, in other words, doubles the expenses 
of every war." (Letter to Eppes).

BANK (NATIONAL) (MONOPOLY)

"The monopoly of a single bank is certainly an evil." (Letter to 
Gallatin, 1802). THOMAS JEFFERSON ON DEMOCRACY 77 (S. Padover Ed. 
1953).

"The bill for establishing a National Bank undertakes among other 
things...7. To give them the sole and exclusive right of banking 
under the national authority; and so far is against the laws of 
monopoly... The incorporation of a bank, and the powers assumed by 
this bill, have not, in my opinion, been delegated to the United 
States by the Constitution." (Opinion Opposing the Bank, February
15, 1791).

BANK (NATIONAL) (STOCK OWNED BY CONGRESS)

"My wish was to see both Houses of Congress cleansed of all persons
interested in the bank or public stocks; and that a pure legislature
being given us, I should always be ready to acquiesce under their
deliberations, even if contrary to my own opinions; for I subscribe
to the principle, that the will of the majority, honestly expressed,
should give law."

BANK (NATIONAL) (THREAT TO GOVERNMENT)

"This institution (Bank of the U.S.) is one of the most deadly 
hostility existing against the principles and form of our 
Constitution...an institution like this, penetrating by its branches 
every part of the Union, acting by command and in phalanx, may, in a 
critical moment, upset the government." (Letter to Gallatin, 1803).
THOMAS JEFFERSON ON DEMOCRACY 76 (S. Padover Ed. 1953).

"I hope we shall take warning from the example and crush in its 
birth the aristocracy of our monied corporations, which dare already 
to challenge our government to a trial of strength and bid defiance 
to the laws of our country." (Letter to Logan, 1816). THOMAS 
JEFFERSON ON DEMOCRACY 138 (S. Padover Ed. 1953).

"We are undone...if this banking mania be not suppressed. Aut 
Carthago, aut Roma delenda est (Either Carthage or Rome must be 
destroyed). The war, had it proceeded, would have upset our 
government; and a new one, whenever tried, will do it. And so it
must be while our money, the nerve of war, is much or little, real
or imaginary, as our bitterest enemies choose to make it. Put down 
the banks, and if this country could not be carried through the 
longest war against her most powerful enemy, without ever knowing
the want of a dollar, without dependence on the traitorous classes
of her citizens, without bearing hard on the resources of her people, 
or loading the public with an indefinite burthen of debt, I know 
nothing of my countrymen. Not by any novel project, not by any 
charlatenerie, but by ordinary and well-experienced means; by the 
total prohibition of all private paper at all times, by reasonable 
taxes in war aided by the necessary emissions of public paper of 
circulating size, this bottomed on special taxes, redeemable annually 
as this special tax comes in." (Letter to Gallatin, October 16, 
1815). THOMAS JEFFERSON ON DEMOCRACY 78 (S. Padover Ed. 1953).

"Her (England's) examples have fearful influence on us. In copying 
her we do not seem to consider that like premises produce like 
consequences. The bank mania is one of the most threatening of these 
imitations. It is raising on a monied aristocracy in our country 
which has already set the government at defiance, and although forced 
at length to yield a little on this first essay of their strength, 
their principles are unyielded and unyielding. These have taken deep 
root in the hearts of that class from which our legislators are 
drawn, and the sop to Cerberus from fable has become history. Their 
principles lay hold of the good, their pelf of the bad, and thus 
those whom the constitution had placed as guards to its portals, are 
sophisticated or suborned from their duties. That paper money has 
some advantages, is admitted. But that its abuses also are 
inevitable, and, by breaking up the measure of value, makes a lottery 
of all private property, cannot be denied. Shall we ever be able to 
put a constitutional veto on it?" (Letter to Dr. J.B. Stuart, 1817).
THOMAS JEFFERSON ON DEMOCRACY 79 (S. Padover Ed. 1953).

BANK (NATIONAL) (THREAT TO LIBERTY)

"If the American People ever allow the banks to control the
issuance of their currency, first by inflation and then by
deflation, the banks and corporations that will grow up around
them will deprive the people of all property until their children
wake up homeless on the continent their fathers occupied. The
issuing power of money should be taken from the bankers and
restored to Congress and the people to whom it belongs. I sincerely 
believe the banking institutions having the issuing power of money 
are more dangerous to liberty than standing armies."

"We are completely saddled and bridled, and the bank is so firmly 
mounted on us that we must go where they ill guide."

"The dominion which the banking institutions have obtained over the 
minds of our citizens...must be broken, or it will break us." (Letter 
to James Monroe, January 1, 1815).

"The system of banks which we have both equally and ever reprobated, 
I contemplate as a blot in all our (state) constitutions, which, if 
not corrected, will end in their destruction." (Letter to John 
Taylor, May 28, 1816).

BANK (NATIONAL) (UNCONSTITUTIONAL)

"It is known that the very power now proposed as a means, was
rejected as an end by the convention which formed the constitu-
tion." (1791).

BIG GOVERNMENT

"We think, in America, that it is necessary to introduce the people
into every department of government, as far as they are capable of
exercising it, and that this is the only way to ensure a long
continued and honest administration of its powers."

"(W)e have more machinery of government than is necessary, too
many parasites living on the labor of the industrious. I believe
it might be much simplified to the relief of those who maintain it."
(Letter to W. Ludlow, 1824). THOMAS JEFFERSON ON DEMOCRACY 161 (S. 
Padover Ed. 1953).

"...a wise and frugal government which shall restrain men from
injuring one another, shall leave them otherwise free to regulate
their own pursuits of industry and improvement, and shall not take
from the mouth of labor the bread it has earned." (March 4, 1801
Conciliatory Address). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
43 (Dumbauld Ed. 1955).

BILL OF RIGHTS

"I have a right to nothing which another has a right to take away...
a bill of rights is what the people are entitled to against every
government on earth, general and particular; and what no just
government should refuse, or rest on inference." (Letter to James 
Madison, Paris, December 20, 1787).

"There are two amendments only which I am anxious for: 1. A bill of 
rights, which it is so much the interest of all to have that I 
conceive it must be yielded...2. The restoring of the principle of 
necessary rotation, particularly to the Senate and Presidency, but 
most of all to the last..." (Letter to Edward Carrington, Paris, May 
27, 1788). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 138 (Dumbauld 
Ed. 1955).

"I will now add what I do not like. First, the omission of a bill of 
rights providing clearly and without the aid of sophisms for freedom 
of religion, freedom of the press, protection against standing 
armies, restriction against monopolies, the eternal and unremitting 
force of the habeas corpus laws, and trials by jury in all matters of 
fact triable by the laws of the land and not by the law of nations."
(Letter to James Madison, Paris, December 20, 1787). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 140 (Dumbauld Ed. 1955).

CENTRALIZATION (SEE ALSO: STATES' RIGHTS)

"My general plan would be to make the States one as to everything 
connected with foreign nations and several as to everything purely 
domestic." (Letter to Edward Carrington, Paris, August 4, 1787).
THE POLITICAL WRITINGS OF THOMAS JEFFERSON 133 (Dumbauld Ed. 1955).

"If ever this vast country is brought under a single government,
it will be one of the most extensive corruption, indifferent and 
incapable of a wholesome care over so wide a spread of surface.
This will not be borne, and you will have to choose between reform 
and revolution. If I know the spirit of this country, the one or the 
other is inevitable. Before the canker is become inveterate, before 
its venom has reached so much of the body politic as to get beyond 
control, remedy should be applied." (Letter to W.T. Barry, 1822).
THOMAS JEFFERSON ON DEMOCRACY 65-66 (S. Padover Ed. 1953).

"When all government, domestic and foreign, in little as in great
things, shall be drawn to Washington as the center of all power,
it will render powerless the checks provided of one government on
another, and will become as venal and oppressive as the government
from which we separated." (Letter to C. Hammond, 1821). THOMAS 
JEFFERSON ON DEMOCRACY 163 (S. Padover Ed. 1953).

"(T)he way to have a good and safe government is not to trust it all 
to one, but to divide it among the many...What has destroyed liberty 
and the rights of man in every government has ever existed under the 
Sun? The generalizing and the concentrating [of] all cares and powers 
into one body." (Letter to Joseph C. Cabell, 1816). THOMAS JEFFERSON 
ON DEMOCRACY 162 (S. Padover Ed. 1953).

"Our country is too large to have all its affairs directed by a
single government. Public servants at such a distance and from
under the eye of their constituents, must, from the circumstance
of distance, be unable to administer and overlook all the details
necessary for the good government of the citizens, and the same
circumstance, by rendering direction impossible to their
constituents, will invite the public agents to corruption, plunder
and waste. And I do verily believe, that if the principle were to
prevail, of a common law being in force in the United States...it
would become the most corrupt government on the earth..." (Letter
to Gideon Granger, Monticello, August 13, 1800). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 97 (Dumbauld Ed. 1955).

"(S)hould look forward to a time, and that not a distant one, when
corruption in this, as in the country from which we derive our
origin, will have seized the heads of government, and be spread by
them through the body of the people; when they will purchase the
voices of the people, and make them pay the price."

"My idea is that we should be made one nation in every case involving
foreign affairs, and separate ones in whatever is merely domestic..."

CONSTITUTION (AS A COMPACT)

"When two parties make a compact, there results to each a power of 
compelling the other to execute it." (Letter to Edward Carrington, 
Paris, August 4, 1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
133 (Dumbauld Ed. 1955).

CONSTITUTION (PURPOSE OF)

"(I)n questions of power, let no more be heard of confidence in man
but bind him down from mischief by the chains of the constitution."

CONSTITUTIONAL AMENDMENTS

"Can one generation bind another, and all others, in succession
forever? I think not. The Creator has made the earth for the
living, not the dead. Rights and powers can only belong to persons, 
not to things, not to mere matter endowed with will...Nothing is 
unchangeable but the inherent and unalienable rights of man." (Letter 
to John Cartwright, Monticello, June 5, 1824). THOMAS JEFFERSON ON 
DEMOCRACY 162 (S. Padover Ed. 1953).

CONSTITUTIONAL CONVENTION OF 1787

"I am sorry they began their deliberations by so abominable a 
precedent as that of tying up the tongues of their members. Nothing 
can justify this example but the innocence of their intentions and 
ignorance of the value of public discussions. I have no doubt that 
all their other measures will be good and wise. It is really an 
assembly of demigods." (Letter to John Adams, Paris, August 30, 
1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 136 (Dumbauld Ed. 
1955).

CONSTITUTIONAL INTERPRETATION

"Our peculiar security is in the possession of a written
constitution. Let us not make it a blank paper by construction."
(Letter of September 7, 1803 to Wilson Cary Nicholas).

CONSTITUTIONAL REVISION

"No society can make a perpetual constitution, or even a perpetual 
law." (Letter to James Madison, 1789). THOMAS JEFFERSON ON DEMOCRACY 
153 (S. Padover Ed. 1953).

"The functionaries of public power rarely strengthen in their
dispositions to abridge it, and an unorganized call for timely
amendment is not likely to prevail against an organized opposition
to it. We are always told that things are going on well; Why change
them? 'Chi sta bene, no si mueve,' said the Italian, 'let him who
stands well, stand still.' This is true; and I verily believe they
would go on well with us under an absolute monarch, while our present
character remains, of order, industry and love of peace, and
restrained as he would be, by the proper spirit of the people."

"Some men look at constitutions with sanctimonious reverence and
deem them like the Ark of the Covenant, too sacred to be touched. 
They ascribe to men of the preceding age a wisdom more than human, 
and suppose what they did to be beyond amendment. I knew that age 
well; I belonged to it and labored with it. It deserved well of its 
country. It was very like the present; and forty years of experience 
in government is worth a century of book reading; and this they would
themselves say, were they to rise from the dead...Laws and
institutions must go hand and hand with the progress of the human
mind." (Letter to S. Kercheval, 1816). THOMAS JEFFERSON ON DEMOCRACY 
67 (S. Padover Ed. 1953).

"The earth belongs to the living, not to the dead. The will and the 
power of man expire with his life, by nature's law...We may consider 
each generation as a distinct nation, with a right, by the will of 
its majority, to bind themselves, but none to bind the succeeding 
generation, more than the inhabitants of another country." (Letter 
to J.W. Eppes, 1813). THOMAS JEFFERSON ON DEMOCRACY 15 (S. Padover 
Ed. 1953).

"A generation may bind itself as long as its majority continues in
life; when that has disappeared, another majority is in place, holds
all the rights and powers their predecessors once held, and may
change their laws and institutions to suit themselves. Nothing then
is unchangeable but the inherent and inalienable rights of man."
(Letter to J. Cartwright, 1824). THOMAS JEFFERSON ON DEMOCRACY 68
(S. Padover Ed. 1953).

"Each generation is as independent as the one preceding, as that
was all which had gone before. It has then, like them, a right to 
choose for itself the form of government it believes most productive 
of its own happiness; consequently, to accommodate to the 
circumstances in which it finds itself, that it received from its 
predecessors; and it is for the peace and good of mankind, that a 
solemn opportunity of doing this every 19 or 20 years, should be 
provided in the constitution, so that it may be handed on, with 
periodic repairs, from generation to generation, to the end of time, 
if anything human can so long endure."

"Happily for us, that when we find our constitutions defective and
insufficient to secure the happiness of our people, we can assemble
with all the coolness of philosophers, and set it to rights, while
every other nation on earth must have recourse to arms to amend or
restore their constitutions."

CORRUPTION

"I believe we may lessen the danger of buying and selling votes, by
making the number of voters too great for any means of purchase. I
may further say that I have not observed men's honesty to increase
with their riches." (Letter to J. Moor, 1800). THOMAS JEFFERSON ON 
DEMOCRACY 165 (S. Padover Ed. 1953).

"The time to guard against corruption and tyranny, is before they
shall have gotten hold of us. It is better to keep the wolf out
of the fold, than to trust to drawing his teeth and claws after he 
shall have entered." (Notes on Virginia, Query XIIV). THOMAS 
JEFFERSON ON DEMOCRACY 162 (S. Padover Ed. 1953).

"The whole art of government consists in being honest." VI WORKS, 
186.

"It is a law, sacred to me while in public character, to receive
nothing which bears a pecuniary value. This is necessary to the
confidence of the country, it is necessary as an example for its
benefit, and necessary to the tranquility of my own mind."

DEBT (IMPRISONMENT FOR)

"Neither natural right nor reason subjects the body of a man to
restraint for debt." (Letter to George Hammond, Philadelphia, May
29, 1792). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 57 (Dumbauld 
Ed. 1955).

DEBT (NATIONAL)

"Funding I consider as limited, rightfully, to a redemption of the 
debt within the lives of a majority of the generation contracting 
it; every generation coming equally, by the laws of the Creator of 
the world, to the free possession of the earth he made for their 
subsistence, unencumbered by their predecessors, who like them, 
were but tenants for life." (Letter to John Taylor, Monticello, May 
28, 1816). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 51 (Dumbauld 
Ed. 1955).

"Having seen the people of other nations bowed down to the earth 
under the prodigalities of their rulers, I have cherished their 
opposites, peace, economy, and riddance of public debt, believing 
that these were the highroad to public as well as to private 
prosperity and happiness." THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
xxxiii (Dumbauld Ed. 1955).

"And I sincerely believe with you that banking establishments are 
more dangerous than standing armies, and that the principle of 
spending money to be paid by posterity, under the name of funding,  
is but swindling futurity on a large scale." (Letter to John Taylor, 
Monticello, May 28, 1816). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
53 (Dumbauld Ed. 1955).

"I consider the fortunes of our republic as depending...on the 
extinguishment of the public debt before we engage in any war...
If the public debt should once more be swelled to a formidable
size...we shall be committed to the English career of debt,
corruption and rottenness, closing with revolution." (Letter to
Gallatin, 1809). THOMAS JEFFERSON ON DEMOCRACY 73 (S. Padover Ed. 
1953).

"It is incumbent on every generation to pay its own debts as it
goes. A principle which, if acted on, would save one half the wars
of the world." (Letter to Destutt de Tracy, 1820). THOMAS JEFFERSON 
ON DEMOCRACY 159 (S. Padover Ed. 1953).

"Considering the general tendency to multiply offices and
dependencies, and to increase expenses to the ultimate term of
burden which the citizen can bear, it behooves us to avail ourselves 
of every occasion that presents itself for taking off the surcharge;
that it never may be seen that, after leaving to labor the smallest
portion of its earnings on which it can subsist, government shall
itself consume the residue of what it was instituted to guard."
(First Annual Message, December 8, 1801). THOMAS JEFFERSON ON 
DEMOCRACY 75 (S. Padover Ed. 1953).

"(N)ever borrow a dollar without laying a tax at the same instant
for paying the interest annually and the principal within a given 
term..." (Letter to Eppes, June 24, 1813).

"The modern theory of the perpetuation of debt has drenched the
earth with blood, and crushed its inhabitants under burdens ever 
accumulating." (Letter to Eppes, June 24, 1813).

"I am not among those who fear the people. They, and not the rich,
are our dependence for continued freedom. And to preserve their
independence, we must not let our rulers load us with perpetual debt.
We must make our election between economy and liberty, or profusion
and servitude. If we run into such debts, as that we must be taxed in 
our meat and in our drink, in our necessities and our comforts, in 
our labors and our amusements, for our calling and our creeds, as the 
people of England are, our people, like them, must come to labor 
sixteen hours in the twenty-four, give the earnings of fifteen of 
these to the government for their debts and daily expenses; and the 
sixteenth being insufficient to afford us bread, we must live, as 
they now do, on oatmeal and potatoes; have no time to think, no 
means of calling the mismanagers to account; but be glad to obtain 
subsistence by hiring ourselves to rivet their chains on the necks
of our fellow suffers. Our land-holders, too, like theirs, retaining 
indeed the title and stewardship of estates called theirs but held 
really in trust for the treasury, must wander, like theirs, in 
foreign countries, and be contented with penury, obscurity, exile, 
and the glory of the nation. This example reads to us the salutary 
lesson, that private fortunes are destroyed by public as well as by 
private extravagances. And this is the tendency of all human 
governments. A departure from principle in one instance becomes a 
precedent for the second; that second for a third; and so on, till 
the bulk of the society is reduced to mere automatons of misery,
to have no sensibilities left but for sinning and suffering. Then 
begins, indeed, the bellum omnium in omnia, which some philosophers 
observing to be so general in this world, have mistaken for the 
natural, instead of the abusive state of man. And the fore horse on 
this frightful team is public debt. Taxation follows that, and in its 
train wretchedness and oppression." (Letter to Samuel Kercheval, 
Monticello, July 12, 1816). THOMAS JEFFERSON ON DEMOCRACY 73-74 (S. 
Padover Ed. 1953).

"We consider ourselves unauthorized to saddle posterity with our
debts." (Letter to ?, 1813). THOMAS JEFFERSON ON DEMOCRACY 159 (S. 
Padover Ed. 1953).

"Debt and revolution are inseparable as cause and effect." (Letter
to Samuel Smith, 1821).

"I place economy among the first and most important of republican
virtues, and public debt as the greatest of the dangers to be
feared." (Letter to Governor Plumer, 1816). THOMAS JEFFERSON ON 
DEMOCRACY 160 (S. Padover Ed. 1953).

"I am for a government rigorously frugal and simple, applying all
the possible savings of the public revenue to the discharge of the
national debt;  and not for a multiplication of officers and salaries
merely to make partisans, and for increasing, by every device, the
public debt, on the principle of its being a public blessing."
(Letter to Elbridge Gerry, 1799).  THE POLITICAL WRITINGS OF THOMAS 
JEFFERSON 47 (Dumbauld Ed. 1955).

"I wish it were possible to (amend our) constitution with...an 
additional article taking from the federal government the power of 
borrowing." (Letter to John Taylor).

"I consider the fortunes of our republic depending to an eminent 
degree, on the extinguishment of the public debt...;because, that 
done, we shall have revenue enough to improve our country in peace, 
and defend it in war, without incurring either new taxes or loans. 
But if the debt should once more be swelled to a formidable size, its 
entire discharge will be despaired of, and we shall be committed to 
the English career of debt, corruption, and rottenness, closing with 
revolution. The discharge of the debt, therefore, is vital to the 
destinies of our government..." (Letter to Albert Gallatin, October 
11, 1809).

"With respect to debts, whether to be met by loans or taxes, there
are two laws of finance which I think should be rigorously adhered 
to. 1, never to borrow without laying a tax sufficient to pay 
principle and interest within a fixed period, and I would fix that 
period at 10 years...2, never to borrow or tax without appropriating 
the money to its specific object." (Letter to J. Williams, 1820). 
THOMAS JEFFERSON ON DEMOCRACY 73 (S. Padover Ed. 1953).

"We can pay off his [Hamilton's] debt in fifteen years, but we can 
never get rid of his financial system." (Letter to Dupont, 1802). 
THOMAS JEFFERSON ON DEMOCRACY 159 (S. Padover Ed. 1953).

"The conclusion...is, that neither the representatives of a nation 
nor the whole nation itself assembled, can validly engage debts 
beyond what they may pay in their time, that is to say, within 
thirty-four years of the date of the engagement." (Letter to Madison, 
1789). THOMAS JEFFERSON ON DEMOCRACY 73 (S. Padover Ed. 1953).

DEBTS (FOREIGN)

"To make provision for the speedy payment of their foreign debts
will be the first operation necessary. This will give them credit."
(Letter to John Brown, Paris, May 26, 1788). THE POLITICAL WRITINGS 
OF THOMAS JEFFERSON 139 (Dumbauld Ed. 1955).

DELEGATION OF POWER

"Our ancient laws expressly declare that those who are but delegates
themselves shall not delegate to others powers which require judgment
and integrity in their exercise."

DESPOTISM

"Timid men prefer the calm of despotism to the boisterous sea of
liberty." (Letter to Mazzei, 1796). THOMAS JEFFERSON ON DEMOCRACY 
154 (S. Padover Ed. 1953).

EDUCATION

"Ask finally whether peace is best preserved by giving energy to
the government, or information to the people. This last is the
most certain and the most legitimate engine of government. Educate 
and inform the whole mass of the people. Enable them to see that it 
is in their best interest to preserve peace and order, and they will
preserve them. And it requires no very high degree of education to
convince them of this."

"If a nation expects to be ignorant and free in a state of
civilization, it expects what never was and never will be. The
functionaries of every government have propensities to command
at will the liberty and property of their constituents. There is
no safe deposit for these but with the people themselves nor can
they be safe with them without information. Where the press is
free and every man able to read, all is safe." (Letter to Charles 
Yancey, Monticello, January 6, 1816). THOMAS JEFFERSON ON DEMOCRACY 
89 (S. Padover Ed. 1953).

"I know of no safe depository of the ultimate powers of the society
but the people themselves, and if we think them not enlightened
enough to exercise their control with a wholesome discretion, the
remedy is not to take it from them but to inform their discretion by
education." (Letter to William C. Jarvis, Monticello, September 28,
1821). THOMAS JEFFERSON ON DEMOCRACY 89 (S. Padover Ed. 1953).

EUROPEAN GOVERNMENTS

"Peace, commerce, and honest friendship with all nations--entangling 
alliances with none." (First Inaugural Speech, March 4, 1801). THOMAS 
JEFFERSON ON DEMOCRACY 152 (S. Padover Ed. 1953).

"They are nations of eternal war. All their energies are expended in 
the destruction of the labor, property, and lives of their people."
(Letter to James Monroe, Monticello, June 11, 1823). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 73 (Dumbauld Ed. 1955).

"(E)xperience declares that man is the only animal which devours
his own kind; for I can apply no milder term to the governments of 
Europe and to the general prey of the rich on the poor." (Letter to 
Edward Carrington, Paris, January 16, 1787).

"Nothing is so important as that America shall separate herself from
the systems of Europe and establish one of her own." (Letter to
Joseph Correa de Serra, Monticello, October 24, 1820). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 72 (Dumbauld Ed. 1955).

"(T)he vital principle of the English constitution is corruption, its 
practices the natural results of that principle, and their 
consequences a pampered aristocracy, annihilation of the substantial 
middle class, a degraded populace, oppressive taxes, general 
pauperism, and national bankruptcy." (Letter to J. F. Watson, 1814). 
THOMAS JEFFERSON ON DEMOCRACY 136 (S. Padover Ed. 1953).

FARMERS

"Those who labor in the earth are the chosen people of God, if ever
He had a chosen people, whose breasts He has made his peculiar
deposit for substantial and genuine virtue." (Notes on Virginia,
Query XIX). THOMAS JEFFERSON ON DEMOCRACY 160 (S. Padover Ed. 1953).

"State a moral case to a plowman and a professor. The former will
decide it well, and often better than the latter, because he has not
been led astray by artificial rules."

"This reliance cannot deceive us, as long as we remain virtuous; 
and I think we shall be so, so long as agriculture is our principal 
object, which will be the case, while there remain vacant lands on 
any part of America. When we get piled upon one another in large 
cities as in Europe, we shall become corrupt as in Europe, and go 
to eating one another as they do there." (Letter to Madison, 1787).
THOMAS JEFFERSON ON DEMOCRACY 70 (S. Padover Ed. 1953).

FREEDOM OF THE PRESS

"Our liberty depends on the freedom of the press, and that cannot
be limited without being lost." (Letter to Dr. J. Currie, 1786).
THOMAS JEFFERSON ON DEMOCRACY 164 (S. Padover Ed. 1953).

JUDGES (ELECTION OF)

"It has been thought that the people are not competent electors of
judges learned in the law. But I do not know this to be true, and,
if doubtful, we should follow principle." (Letter to S. Kercheval, 
1816). THOMAS JEFFERSON ON DEMOCRACY 62 (S. Padover Ed. 1953).

JUDGES (FEDERAL)

"The...question whether the judges are invested with exclusive 
authority to decide on the constitutionality of a law has been 
heretofore a subject of consideration with me in the exercise of 
official duties. Certainly there is not a word in the constitution 
which has given that power to them more than to the executive or 
legislative branches." (Letter to William Torrance, Monticello, June 
11, 1815). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 151 (Dumbauld 
Ed. 1955).

"The judiciary of the United States is the subtle corps of sappers 
and miners constantly working under ground to undermine the 
foundations of our confederated fabric. They are construing our 
constitution from a coordination of a general and special government 
to a general and supreme one alone. This will lay all things at their 
feet...We shall see if they are bold enough to take the daring stride 
their five lawyers have lately taken. If they do, then...I will say, 
that 'against this every man should raise his voice,' and more, 
should uplift his arm." (Letter to T. Ritchie, 1820). THOMAS 
JEFFERSON ON DEMOCRACY 63 (S. Padover Ed. 1953).

"For experience has already shown that the impeachment...is not even
a scarecrow...The constitution...is a mere thing of wax in the hands
of the judiciary, which they may twist and shape into any form they
please. It should be remembered, as an axiom of eternal truth in
politics, that whatever power in any government is independent is
absolute also; in theory only, at first, while the spirit of the
people is up, but in practice as fast as that relaxes. Independence
can be trusted nowhere but with the people in mass." (Letter to 
Spencer Roane, Poplar Forest, September 6, 1819). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 152-153 (Dumbauld Ed. 1955).

"The great object of my fear is the Federal Judiciary. That body, 
like gravity, ever acting, with noiseless foot, and alarming 
advance...,is engulfing insidiously the special governments into the 
jaws of that which feeds them." (Letter to Judge Roan, 1812). THOMAS 
JEFFERSON ON DEMOCRACY 152 (S. Padover Ed. 1953).

"To consider the judges as the ultimate arbiters of all 
constitutional questions [is] a very dangerous doctrine indeed and 
one which will place us under the despotism of an oligarchy. Our 
judges are as honest as other men and not more so. They have with 
others the same passions for party, for power, and the privilege of 
their corps. Their maxim is boni judicis est ampliare jurisdictionem 
(it is a characteristic of a good judge to expand his own 
jurisdiction), and their power the more dangerous as they are in 
office for life and not responsible, as the other functionaries are, 
to the elective control." (Letter to William C. Jarvis, Monticello, 
September 28, 1820). THOMAS JEFFERSON ON DEMOCRACY 64 (S. Padover Ed. 
1953).

"The constitution has erected no such single tribunal, knowing that 
to whatever hands confided, with the corruptions of time and party, 
its members would become despots." (Letter to William C. Jarvis, 
Monticello, September 28, 1820). THOMAS JEFFERSON ON DEMOCRACY 64
(S. Padover Ed. 1953).

"Having found, from experience that impeachment is an impracticable 
thing, a mere scare-crow, they consider themselves secure for life; 
they skulk from responsibility to public opinion...A judiciary 
independent of a king or executive alone, is a good thing, but 
independence of the will of the nation is a solecism, at least in
a republican government." (Letter to T. Ritchie, 1820). THOMAS 
JEFFERSON ON DEMOCRACY 64 (S. Padover Ed. 1953).

JUDGES (LIMITED TERMS)

"(T)he best (remedy) I can devise would be to give future commissions
to (federal) judges for six years with a re-appointability by the
President with the approbation of both houses. If this would not be
independence enough, I know not what would be..." (Letter to 
Pleasants, 1821). THOMAS JEFFERSON ON DEMOCRACY 65 (S. Padover Ed. 
1953).

"Let the future appointments of judges be for four or six years, and 
renewable by the President and Senate. This will bring their conduct, 
at regular periods, under revision and probation..We have erred in 
this point, by copying England, where certainly it is a good thing to 
have the judges independent of the King. But we have omitted to copy 
their caution also, which makes a judge removable by the address of 
both legislative Houses. That there should be public functionaries 
independent of the nation, whatever may be their demerit, is a 
solecism in a republic, of the first order of absurdity and 
inconsistency." (Letter to W.T. Barry, 1822). THOMAS JEFFERSON ON 
DEMOCRACY 66 (S. Padover Ed. 1953).

JURY (RIGHTS OF)

"It is left, therefore, to the juries, if they think the permanent
judges are under any bias whatever in any cause, to take on
themselves to judge the law as well as the fact. They never exercise
this power but when they suspect partiality in the judges, and by the
exercise of this power they have been the firmest bulwarks of English
liberty." (Letter to Abbe Arnoux, Paris, July 19, 1789). THE 
POLITICAL WRITINGS OF THOMAS JEFFERSON 89 (Dumbauld Ed. 1955).

JURY TRIAL (RIGHT TO)

"Trial by jury, I consider as the only anchor ever yet imagined by
man, by which a government can be held to the principles of its
constitution." (Letter to Thomas Paine, 1789). THOMAS JEFFERSON ON 
DEMOCRACY 160 (S. Padover Ed. 1953).

LAST EXCLAMATION

"Warn the committee to be on their guard!" (One of his last 
exclamations before he died). X WORLD'S BEST ORATIONS 259
(C. Brewer Ed. 1923)

LAWS

"The execution of the laws is more important than the making of 
them." (Letter to Abbe Arnond, 1789). THOMAS JEFFERSON ON DEMOCRACY 
152 (S. Padover Ed. 1953).

LEGISLATURES

"We see the wisdom or Solon's remark, that no more good must be 
attempted than the people can bear." (Letter to Dr. Walter Jones, 
1801). THOMAS JEFFERSON ON DEMOCRACY 162 (S. Padover Ed. 1953).

"I love to see honest and honorable men at the helm, men who will
not bend their politics to their purses, nor pursue measures by
which they may profit, and then profit by their measures."

LIBERTY

"I would rather be exposed to the inconveniences attending too much 
liberty, than those attending too small a degree of it." (Letter to 
A. Stuart, 1791). THOMAS JEFFERSON ON DEMOCRACY 154 (S. Padover Ed. 
1953).

"You are too well informed a politician, too good a judge of men,
not to know that the ground of liberty is gained by inches, that we 
must be contented to secure what we can get from time to time, and
eternally press forward for what is yet to get. It takes time to
persuade men to do even what is for their own good." (Letter to Ch. 
Clay, 1790). THOMAS JEFFERSON ON DEMOCRACY 154 (S. Padover Ed. 1953).

"The natural progress of things is for liberty to yield and 
government to gain ground." (Letter to Edward Carrington, Paris, May 
27, 1788). THE NEW INTERNATIONAL DICTIONARY OF QUOTATIONS 105 (H. 
Rawson & M. Miner 1986).

MAJORITY RULE

"The first principle of republicanism is that the lex majoris partis
is the fundamental law of every society of equal rights; to consider
the will of the majority of a single vote, as sacred as unanimous,
is the first of all lessons in importance, yet the last which is
thoroughly learned." (Letter to Baron von Homboldt, 1817).

"The will of the people is the only legitimate foundation of any
government." (Letter to B. Waring, 1801). THOMAS JEFFERSON ON 
DEMOCRACY 161 (S. Padover Ed. 1953).

"No government can continue good, but under the control of the
people." (Letter to Adams, 1819). THOMAS JEFFERSON ON DEMOCRACY 
163 (S. Padover Ed. 1953).

"That government is strongest of which every man feels himself a
part." (1813).

"In every government on earth is some trace of human weakness, some
germ of corruption and degeneracy, which cunning will discover, and
wickedness insensibly open, cultivate and improve. Every  government
degenerates when trusted to the rulers of the people alone. The
people themselves are its only safe depositories." (Notes on 
Virginia, Query 14). THOMAS JEFFERSON ON DEMOCRACY 87 (S. Padover Ed. 
1953).

"The will of the people is the only legitimate foundation of any
government." (Letter to B. Waring, 1801).

MAXIMS

"It is the manners and spirit of the people which preserve a Republic
in vigor. A degeneracy in these is a canker which soon eats to the
heart of its laws and constitution."

"Men in glass houses should not provoke a war of stones." (Letter to 
R. Walsh, 1820). THOMAS JEFFERSON ON DEMOCRACY 157 (S. Padover Ed. 
1953).

"Ignorance is preferable to error; and he is less remote from truth
who believes nothing than he who believes what is wrong."

"Only lay down true principles and adhere to them inflexibly. Do
not be frightened into their surrender by the alarms of the timid
or the croakings of wealth against the ascendancy of the people."
(Letter to Samuel Kercheval, Monticello, July 12, 1816). THE 
POLITICAL WRITINGS OF THOMAS JEFFERSON 115 (Dumbauld Ed. 1955).

MONOPOLIES

When Jefferson reviewed the 1787 Constitution, he noted the absence
of a "restriction against monopolies." (Letter of December 20, 1787).

NEWSPAPERS

"I will add that the man who never looks into a newspaper is better
informed than he who reads them, inasmuch as he who knows nothing is
nearer to truth than he whose mind is filled with falsehoods and
errors." (Letter to John Norvell, Washington, June 11, 1807). THE 
POLITICAL WRITINGS OF THOMAS JEFFERSON 95 (Dumbauld Ed. 1955).

PAPER MONEY

"The unlimited emission of bank paper has banished all her (Great 
Britain's) specie, and is now, by depreciation ...carrying her 
rapidly to bankruptcy as it did France, and as it did us, and...
every country permitting paper to be circulated, other than that
held by public authority, rigorously limited to the just measure
for circulation. Private fortunes, in the present state of our 
circulation, are at the mercy of these self-elected money-lenders, 
and are frustrated by the flood of nominal money with which their 
avarice deluges us..."

"(P)aper is poverty...it is only the ghost of money and not money
itself." (Letter to Edward Carrington).

"Although all the nations of Europe have tried and trodden every path 
of force and folly in a fruitless quest of the same object, yet WE 
still expect to find in juggling tricks and banking dreams, that 
money can be made out of nothing, and in sufficient quantity to meet 
the expenses of a heavy war..." (Letter to James Monroe, January 1, 
1815).

"There is scarcely a king in a hundred who would not, if he could,
follow the example of Pharaoh--get first the people's money, then
all their lands, and then make them and their children servants 
forever."

"(S)pecie is the most perfect medium, because it will preserve its 
own level; because, having intrinsic and universal value, it can 
never die in our hands, and is the surest resource of reliance in 
time of war; that the trifling economy of paper...weighs nothing in 
opposition to the advantages of the precious metals; that (paper 
currency) has been, is, and forever will be abused, in every country 
in which it permitted; that it is already at a term of abuse in these 
States, which has never been reached in any nation, France excepted, 
whose deadly catastrophe (under John Law) should be a warning against 
the instrument which produced it; that we are already at ten or 
twenty times the due quantity of (necessary) medium; insomuch that no 
man knows what his property is worth...Instead, then, of yielding to 
the cries of scarcity of medium...no endeavors should be spared to 
begin the work of reducing it by such gradual means as may give time 
to private fortunes to preserve their poise, and settle down with the 
subsiding medium; and that, for this purpose, the States should be 
urged to concede to the General Government...the exclusive power of 
establishing banks" with power to issue currency.

"The Federal Government--I deny their power to make paper money a
legal tender."

"We are to be ruined now by the deluge of bank paper, as we were 
formerly by the old Continental paper. It is cruel that such 
revolutions in private fortunes should be at the mercy of avaricious 
adventurers, who, instead of employing their capital, if any they 
have, in manufactures, commerce, and other useful pursuits, make it 
an instrument to burthen all the interchanges of property with their 
swindling profits, profits which are the price of no useful industry 
of theirs. Prudent men must be on their guard in this game of Robin's 
alive, and take care that the spark does not extinguish in their 
hands. I am an enemy to all banks discounting bills or notes for 
anything but coin. But our whole country is so fascinated by this 
Jack-lantern wealth, that they will not stop short of its total and 
fatal explosion." (Letter to Dr. T. Cooper, 1814). THOMAS JEFFERSON 
ON DEMOCRACY 77 (S. Padover Ed. 1953).

"Like a dropsical man calling out for water, water, our deluded 
citizens are clamoring for more banks, more banks. The American mind 
is now in that state of fever which the world has often seen in the 
history of other nations. We are under the bank bubble, as England 
was under the South Sea bubble, France under the Mississippi bubble, 
and as every nation is liable to be, under whatever bubble, design, 
or delusion may puff up in moments when off their guard. We are now 
taught to believe that legerdemain tricks upon paper can produce as 
solid wealth as hard labor in the earth. It is vain for common sense 
to urge that nothing can produce but nothing; that it is an idle 
dream to believe in a philosopher's stone which is to turn everything 
into gold, and to redeem man from the original sentence of his Maker, 
'in the sweat of his brow shall he eat his bread,' Not Quixot enough, 
however, to attempt to reason Bedlam to rights, my anxieties are 
turned to the most practical means of withdrawing us from the ruin 
into which we have run. Two hundred millions of paper in the hands of 
the people...is a fearful tax to fall at haphazard on their heads. 
The debt which purchased our independence was but eight millions, of 
which twenty years of taxation had in 18000 paid but the one half. 
And what have we purchased with this tax of two hundred millions 
which we are to pay by wholesale but usury, swindling, and new forms 
of demoralization. Revolutionary history has warned us of the 
probable moment when this baseless trash is to receive its fiat. 
Whenever so much of the precious metals shall have turned into the 
circulation as that every one can get some in exchange for his 
produce, paper, as in the revolutionary war, will experience at once 
an universal rejection." (Letter to Colonel Yancey, 1816). THOMAS 
JEFFERSON ON DEMOCRACY 78 (S. Padover Ed. 1953).

"Thus it is that we shall be paying thirteen per cent, per annum
for eight millions of paper money, instead of having that circulation 
of gold and silver for nothing."

"I am too desirous of tranquility to bring such a nest of hornets
on me as the fraternities of banking companies and this infatuation 
of banks is a torrent which it would be folly to me to get into the 
way of. I see that it must take its course, until actual ruin shall
awaken us from its delusions."

"A nation...making purchases and payments with bills fitted for 
circulation thrusts an equal sum of coin out of circulation...And 
so a nation may continue to issue its bills as far as its wants 
require, and the limits of circulation will admit...But this, the 
only resource which the government could command with certainty,
the States have unfortunately fooled away, nay corruptly alienated 
to swindlers and shavers, under the cover of private banks." 
(Letter to Eppes).

"Bank paper must be suppressed, and the circulating medium must be 
restored to the nation to whom it belongs. It is the only fund on 
which they can rely for loans; it is the only resource which can 
never fail them, and it is an abundant one for every necessary 
purpose. Treasury bills, bottomed on taxes...thrown into circulation, 
will take the place of so much gold and silver..." (Letter to Eppes).

"It is a litigated question, whether the circulation of paper, rather 
than of specie, is a good or an evil..." However, "excepting England 
and her copyist, the United States, there is not a nation existing, I 
believe, which tolerates a paper circulation." (Letter to Eppes).

"(O)ne of the great advantages of specie as a medium is, that being 
of universal value, it will keep itself at a general level...This is 
agreed to by Smith, the principal advocate for a paper circulation; 
but...on the sole condition that it be strictly regulated. He admits, 
nonetheless, that the commerce and industry of a country cannot be 
secure when suspended on the Daedalian wings of paper money, as on 
the solid ground of gold and silver; and that in time of war, the 
insecurity is greatly increased..." (Letter to Eppes).

"(O)ur citizens will be overtaken by the crush of this banker's 
fabric, without other satisfaction than that of exertions on the 
heads of those functionaries who, from ignorance, pusillanimity, or 
corruption, have betrayed the fruits of their industry into the hands 
of prospectors and swindlers." (Letter to Eppes).

"I am an enemy to all banks discounting bills or notes for anything
but coin. But our whole country is so fascinated by this Jack-lantern
wealth, that they will not stop short of its total and fatal
explosion."

"The law can only uncover their insolvency, by opening to its suitors
their empty vaults. Thus by the dupery of our citizens, and tame
acquiescence of our legislators, the nation is plundered of two or
three hundred millions of dollars, treble the amount of debt
contracted in the revolutionary war, and which, instead of redeeming
our liberty, has been expended on sumptuous houses, carriages, and
dinners. A fearful tax! if equalized on all; but overwhelming and
convulsive by its partial fall."

PARTIES (POLITICAL)

"If I could not go to heaven with but a party, I would not go there
at all. Therefore, I am not of the party of federalists. But I am
much further from that of the anti-federalists."

POLITICIANS

"Perfection in wisdom, as well as in integrity, is neither required
nor expected in these agents (public servants). It belongs not to
man. The wise know too well their weaknesses to assume infallibility;
and he who knows most, knows best how little he knows."

POPULAR PARTICIPATION

"The people are not always well-informed, but is better that they
have misconceptions that make them restless than that they be
lethargic--for lethargy in the people means death for republics."

POPULAR RULE

"The influence over government must be shared among all the people.
If every individual which composes their mass participates of the
ultimate authority, the government will be safe, because the
corrupting of the whole mass will exceed any private resources of
wealth, and public ones cannot be provided but by levies on the
people. In this case every man would have to pay his own price."
(Notes on Virginia, Query XIV). THE POLITICAL WRITINGS OF THOMAS 
JEFFERSON 92 (Dumbauld Ed. 1955).

"No government can continue good but under the control of the
people." (Letter to John Adams, Monticello, December 10, 1819).
THE POLITICAL WRITINGS OF THOMAS JEFFERSON 92 (Dumbauld Ed. 1955).

"Every government degenerates when trusted to the rulers of the
people alone. The people themselves are its only safe depositories."
(Notes on Virginia, Query XIV).

"It is an axiom of my mind that our liberty can never be safe but
in the hands of the people themselves, and that, too, of the people 
with a certain degree of instruction. This is the business of the 
state to effect and on a general plan."

PRESS (FREEDOM OF THE)

"Our liberty depends on the freedom of the press, and that cannot be
limited without being lost." (Letter to James Currie, 1786).

"No government ought to be without censors; and where the press is 
free, no one ever will." (Letter to Washington, 1792). THOMAS 
JEFFERSON ON DEMOCRACY 93 (S. Padover Ed. 1953).

"Where the press is free, and every man able to read, all is safe."
(Letter to Col. Yancey, 1816). THOMAS JEFFERSON ON DEMOCRACY 89 (S. 
Padover Ed. 1953).

PUBLIC OPINION

"I am persuaded myself that the good sense of the people will always
be found to be the best army. They may be led astray for a moment,
but will soon correct themselves. The people are the only censors of
their governors; and even their errors will tend to keep these to the
true principles of their institution." (Letter to Carrington, 1787).
THOMAS JEFFERSON ON DEMOCRACY 92 (S. Padover Ed. 1953).

PUBLIC SERVANTS

"When a man assumes a public trust, he should consider himself as
public property." (Letter to Baron Humboldt).

REPUBLICAN FORM OF GOVERNMENT

"The further the departure from direct and constant control by the 
citizens, the less has the government of the ingredient of 
republicanism..." (Letter to John Taylor, Monticello, May 28, 1816). 
THE POLITICAL WRITINGS OF THOMAS JEFFERSON 51 (Dumbauld Ed. 1955).

"My most earnest wish is to see the republican element of popular 
control pushed to the maximum of its practicable exercise. I shall 
then believe that our government may be pure and perpetual." (Letter 
to J. H. Tiffany, 1816). THOMAS JEFFERSON ON DEMOCRACY 162 (S. 
Padover Ed. 1953).

"The spirit of 1776 is not dead. It had only been slumbering. The 
body of the American people is substantially republican." (Letter to 
Thomas Lomax, Monticello, March 12, 1799). THE POLITICAL WRITINGS OF 
THOMAS JEFFERSON 78 (Dumbauld Ed. 1955).

"It is a misnomer to call a government republican in which a branch
of the supreme power is independent of the nation." (Letter to James
Pleasants, Monticello, December 26, 1821). THOMAS JEFFERSON ON 
DEMOCRACY 152 (S. Padover Ed. 1953).

"(W)e may say with truth and meaning, that governments are more or
less republican, as they have more or less of the element of popular
election and control in their composition; and believing as I do,
that the mass of the citizens is the safest depository of their own
rights and especially that the evils flowing from the duperies of the
people are less injurious than those from the egoism of their agents,
I am a friend to that composition of government which has in it the
most of this ingredient." (Letter to John Taylor, Monticello, May 28, 
1816). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 53 (Dumbauld Ed. 
1955).

"Were I to assign to this term a precise and definite idea, I would
say, purely and simply, it means a government by its citizens in
mass, acting directly and not personally, according to the rules
established by the majority; and that every other government is more
or less republican, in proportion as it has in its composition more
or less of this ingredient of the direct action of the citizens."
(Letter to John Taylor, Monticello, May 28, 1816). THE POLITICAL 
WRITINGS OF THOMAS JEFFERSON 53 (Dumbauld Ed. 1955).
 
"There are two subjects, indeed, which I shall claim a right to
further as long as I breathe, the public education, and the
subdivision of counties into wards. I consider the continuance of
republican government as absolutely hanging on these two hooks."

REVOLUTION

"Debt and revolution are inseparable as cause and effect." (Letter
to Samuel Smith, 1821). THOMAS JEFFERSON ON DEMOCRACY 159 (S. Padover 
Ed. 1953)."

ROTATION IN OFFICE (REMOVAL)

"If a due participation of office is a matter of right, how are 
vacancies to be obtained? Those by death are few; by resignation, 
none." (Statement to New England Merchants, 1801). X WORLD'S BEST 
ORATIONS 299 (D. Brewer Ed. 1923).

"My principles, and those always received by the republicans, do not
admit to removing any person from office merely for a difference of
political opinion. Malversations in office, and the exerting of
official influence to control the freedom of election are good causes
for removal." (Letter to Dickinson, 1801). THOMAS JEFFERSON ON 
DEMOCRACY 35 (S. Padover Ed. 1953).

SELF-GOVERNMENT

"The present generation has the same right of self-government which
the past one has exercised for itself." (Letter to John H. Pleasants,
Monticello, April 19, 1824). THE POLITICAL WRITINGS OF THOMAS 
JEFFERSON 83 (Dumbauld Ed. 1955).

"Every man, and every body of men on earth, possess the right of
self-government. They receive it with their being from the hand of
nature. Individuals exercise it by their single will--collections
of men by that of their majority, for the law of the majority is
the natural law of every society of men." (Cabinet Opinion, July 15,
1790). THOMAS JEFFERSON ON DEMOCRACY 163 (S. Padover Ed. 1953).

"I have no fear but that the result of our experiment will be that
men may be trusted to govern themselves without a master. Could the
contrary of this be proved, I should conclude either that there is no
God or that he is a malevolent being." (Letter to David Hartley,
Paris, July 2, 1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 77 
(Dumbauld Ed. 1955).

"Sometimes it is said that man cannot be trusted with the government
of himself. Can he then be trusted with the government of others? Or
have we found angels in the form of kings to govern him? Let history
answer this question." (March 4, 1801 Conciliatory Address). THOMAS 
JEFFERSON ON DEMOCRACY 163 (S. Padover Ed. 1953).

"We both consider the people as our children...But you love them as
infants whom you are afraid to trust without nurses; and I as adults
whom I freely leave to self-government." (Letter to Dupont de
Nemours, 1816). THOMAS JEFFERSON ON DEMOCRACY 163 (S. Padover Ed. 
1953).

SHAYS'S REBELLION

"I am not a friend to a very energetic government. It is always
oppressive. It places the governors indeed more at their ease at the 
expense of the people. The late rebellion in Massachusetts has given 
much more alarm than I think it should have done. Calculate that one 
rebellion in thirteen States in the course of eleven years is but one 
for each State in a century and a half. No country should be so long 
without one. Nor will any degree of power in the hands of the 
government prevent insurrections. In England, where the hand of power 
is heavier than with us, there are seldom half a dozen years without 
an insurrection. In France, where it is still heavier but less 
despotic, as Montesquieu supposes, than in some other countries and 
where there are always two or three hundred thousand men ready to 
crush insurrections, there have been three in the course of the three 
years I have been here, in every one of which greater numbers were 
engaged than in Massachusetts." (Letter to James Madison, Paris, 
December 20, 1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 67-68 
(Dumbauld Ed. 1955).

"And say, finally, whether peace is best preserved by giving energy
to the government or information to the people. This last is the most
legitimate engine of government. Educate and inform the whole mass of
people. Enable them to see that it is their interest to preserve
peace and order, and they will preserve them. And it requires no very
high degree of education to convince them of this. They are the only
sure reliance for the preservation of our liberty." (Letter to James
Madison, Paris, December 20, 1787). THE POLITICAL WRITINGS OF THOMAS 
JEFFERSON 68 (Dumbauld Ed. 1955).

"I hold it, that a little rebellion, now and then, is a good thing,
and as necessary in the political world as storms in the physical.
Unsuccessful rebellions, indeed, generally establish the
encroachments on the rights of the people, which produced them.
An observation of this truth should render honest republican 
governors so mild in their punishment of rebellions as not to 
discourage them too much. It is a medicine necessary for the sound 
health of government." (Letter to James Madison, Paris, January 30, 
1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 67 (Dumbauld Ed. 
1955).

"The commotions that have taken place in America, as far as they are
yet known to me, offer nothing threatening. They are a proof that the
people have liberty enough, and I could not wish them less than they
have. If the happiness of the mass of the people can be secured at
the expense of a little tempest now and then, or even a little blood,
it will be a precious purchase." (Letter to Ezra Stiles, Paris,
December 24, 1786). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 68 
(Dumbauld Ed. 1955).

"The people are the only censors of their governors and even their
errors will tend to keep them to the true principles of their
institution. To punish these errors too severely would be to suppress
the only safeguard of the public liberty. The way to prevent these
irregular interpositions of the people is to give them full
information of their affairs through the channel of the public
papers, and to contrive that those papers should penetrate the whole
mass of the people. The basis of our government being the opinion of
the people, the very first object should be to keep that right; and
were it left to me to decide whether we should have a government
without newspapers or newspapers without a government, I should not
hesitate a moment to prefer the latter." (Letter to Edward
Carrington, Paris, January 16, 1787).

"God forbid we should ever be twenty years without such a rebellion 
[Shays's Rebellion]. The people cannot be all, and always, 
well-informed. The part which is wrong will be discontented in 
proportion to the importance of the facts they misconceive. If they 
remain quiet under such misconceptions, it is a lethargy, the 
forerunner of death to the public liberty. We have had thirteen 
States independent for eleven years. There has been one rebellion. 
That comes to one rebellion in a century and a half for each State. 
What country ever before existed a century and a half without a 
rebellion. And what country can preserve its liberties if its rulers 
are not warned from time to time that the people preserve the spirit 
of resistance? Let them take arms! The remedy is to set them right
as to facts, pardon and pacify them. What signify a few lives lost
in a century or two? The tree of liberty must be refreshed from time
to time with the blood of patriots and tyrants. It is its nature 
manure. Our convention has been too much impressed by the 
insurrection of Massachusetts, and on the spur of the moment they
are setting up a kite to keep the hen yard in order." (Letter to Col. 
William S. Smith, Paris, November 13, 1787). THE POLITICAL WRITINGS 
OF THOMAS JEFFERSON 68-69 (Dumbauld Ed. 1955).

"I am persuaded myself that the good sense of the people will always
be found to be the best army. They may be led astray for a moment
but will soon correct themselves." (Letter to Edward Carrington, 
Paris, January 16, 1787).

Malo periculosam libertatem quam quietam servitutem. (I prefer 
adventurous liberty to quiet servitude.) (Letter to James Madison, 
Paris, January 30, 1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
66 (Dumbauld Ed. 1955).

SPECIAL PRIVILEGES

"Equal rights for all, special privileges for none." HOYT'S NEW 
CYCLOPEDIA OF PRACTICAL QUOTATIONS 675 (Kate Roberts Ed. 1922).

SPEECH (FREE)

"[If the book] be false in its facts, disprove them; if false in its 
reasoning, refute it. But, for God's sake let us freely hear both 
sides." (Letter to Dufief, 1814). THOMAS JEFFERSON ON DEMOCRACY 155 
(S. Padover Ed. 1953).

STATES' RIGHTS (SEE ALSO: CENTRALIZATION)

"What an augmentation of the field for jobbing, speculating,
plundering, office-building and office-hunting would be produced
by an assumption of all the State powers into the hands of the 
General Government. The true theory of our Constitution is surely
the wisest and best, that the States are independent as to everything 
within themselves, and united as to everything respecting foreign 
concerns." (Letter to Gideon Granger, 1800).

"I see, as you do, and with the deepest affliction, the rapid strides
with which the federal branch of our government is advancing towards
the usurpation of all the rights reserved to the States, and the
consolidation to itself of all powers, foreign and domestic, and
that, too, by constructions which, if legitimate, leave no limits to
their power." (Letter to William B. Giles, Monticello, December 26,
1825). THOMAS JEFFERSON ON DEMOCRACY 54 (S. Padover Ed. 1953).

"(T)he States should be watchful to note every material usurpation
on their rights; to denounce them as they occur in the most 
peremptory terms; to protest against them as wrongs to which our 
present submission shall be considered, not as acknowledgments or 
precedents of rights, but as a temporary yielding to the lesser evil, 
until their accumulation shall overweigh that of separation." (Letter 
to W.B. Giles, 1825). THOMAS JEFFERSON ON DEMOCRACY 55 (S. Padover 
Ed. 1953).

"I consider the foundation of the constitution as laid on this
ground--that all powers not delegated to the United States, by the
constitution, nor prohibited by it to the states, are reserved to
the states, or to the people." (1791).

"I am for preserving to the States the powers not yielded by them
to the Union, and to the legislature of the Union its constitutional
share in the division of powers; and I am not for transferring all
the powers of the States to the General Government, and all those of
that government to the executive branch." (Letter to Elbridge Gerry,
1799).

TRUST IN GOVERNMENT

"The sheep are happier of themselves, than under care of the wolves."
(Notes of Virginia, 1787 Ed.). THOMAS JEFFERSON ON DEMOCRACY 161 (S. 
Padover Ed. 1953).

"(C)onfidence is everywhere the parent of despotism--free government 
is founded in jealousy, and not in confidence; it is jealously and 
not confidence which prescribes limited constitutions, to bind
down those whom we are obliged to trust with power..." THE COMPLETE 
JEFFERSON 133 (1969) (Kentucky Resolution--Nov. 10, 1798).

"Experience has shewn that, even under the best forms, those 
entrusted with power have, in time and by slow operations, perverted 
it into tyranny; and it is believed that the most effectual means of 
preventing this would be to illuminate, as far as practical, the 
minds of the people at large, and more especially to give them 
knowledge of those facts which history exhibiteth." CLAUDE BOWERS, 
THE YOUNG JEFFERSON 182-183 (1945).

"Cherish, therefore, the spirit of our people, and keep alive their
attention. Do not be too severe upon their errors, but reclaim them
by enlightening them. If once they become inattentive to the public
affairs, you and I, and Congress and Assemblies, Judges and
Governors, shall all become wolves. It seems to be the law of our
general nature, in spite of individual exceptions; and experience
declares that man is the only animal that devours his own kind; for
I can apply no milder term to the governments of Europe, and to the
general prey of the rich on the poor." (Letter to Edward Carrington,
Paris, January 16, 1787). THE POLITICAL WRITINGS OF THOMAS JEFFERSON 
65-66 (Dumbauld Ed. 1955).

TRUST IN PEOPLE

"In general they will elect the really good and wise. In some
instances, wealth may corrupt, and birth blind them; but not in
sufficient degree to endanger the society." (1813).

"Men by their constitution are naturally divided into two parties.
1. Those who fear and distrust the people and wish to draw all
powers from them into the hands of the higher classes. 2dly those
who identify themselves with the people, have confidence in them, 
cherish and consider them as the most honest and safe, although not 
the most wise depository of the public interests. In every country 
these two parties exist, and in every one where they are free to 
think, speak, and write, they will declare themselves. Call them 
therefore liberals and serviles, Jacobins and Ultras, Whigs and 
Tories, republicans and federalists, they are the same parties still 
and pursue the same object. The last appellation of aristocratics and 
democrats is the true one expressing the essence of all." (Letter to 
H. Lee, 1824). THOMAS JEFFERSON ON DEMOCRACY 42 (S. Padover Ed. 
1953).

TRUTH

"There is not a truth existing which I fear, or would wish unknown
to the whole world." (Letter to Henry Lee, 1826).

TYRANNY

"When wrongs are pressed because it is believed that they will be
borne; resistance becomes morality."

"Rebellion to tyrants is obedience to God."

"I have sworn upon the alter of God, eternal hostility against every 
form of tyranny over the mind of man." (Letter to Dr. Benjamin Rush, 
Monticello, September 23, 1800). THE POLITICAL WRITINGS OF THOMAS 
JEFFERSON 76 (Dumbauld Ed. 1955).

"Our maxim of that day [1776] was, 'where annual election ends, 
tyranny begins.'" (Letter to Samuel Adams, 1800). THOMAS JEFFERSON
ON DEMOCRACY 169 (S. Padover Ed. 1953).
