; Sample MakeNews control file for creating YOURNEWS
;
; The NAME statement sets the names for your newsletter.  
; 
; The first argument is the "root name" for the rest of the control files, 
; and can be anything up to eight characters.  
; 
; The second argument is the name portion of the text newsletter, and can be 
; anything up to five characters.  For example, if you use "YOUR" then the 
; text newsletter will be named "YOURvnn.NWS" (where "vnn" are the volume and 
; issue numbers).  If not specified, the first five characters of the root 
; name are used.
; 
; The third argument is the name portion of the archived newsletter.  If not 
; specified, then it's the same as that of the text newsletter, but with an 
; extension of ".ARC".

name yournews your yourn

; The DAY statement says what day the newsletter is published on.  This can 
; be any day of the week, and defaults to Sunday.  If you run 
; MakeNews on any other day of the week, it will create a newsletter for the 
; following publication day.  Thus you can create newsletters early.

day monday

; The TBBS statement is for creating a TBBS "partition file" set, which can 
; then be displayed with the TBBS type 2 command.  It takes one argument, 
; which is the one to four character prefix for the files.  If you have TBBS, 
; see the manual on how a type 2 works.  If you don't have TBBS, never mind. 

tbbs yers

; The MARGIN statement is for setting the page margins, just in case you 
; don't like the default margins.  By default, the left margin is at column 
; 5, the right margin is at column 70, and there is a five column "grace 
; limit" (meaning a line in an article can exceed the right margin by five 
; columns).  Hence, the default values are: 

; margin 5 70 5

; Now we get into sections.  First:
; 
;     BREAK     says that there is a break (i.e. start a new page) between 
;               articles in the following sections.  This is the default.
; 
;     NOBREAK   says that there is not a break between articles in the 
;               following sections.
; 
;     MAX <n>   says articles in the following sections may be up to <n> 
;               lines in length.  If the length is omitted, then articles may 
;               be any length (which is the default).  
; 
;     SECTION   defines a section.  
; 
;               The first word is up to three characters and gives the 
;               filename extension that identifies an article for this 
;               section.  
; 
;               The rest of the line gives the title for this section.  If no 
;               title is given, then no section heading appears.  
; 
;               A comma in the title means that the rest of the line is the 
;               index label.  An index label may be up to ten characters 
;               long.  If you don't give an index label, then the first ten 
;               characters of the section title are used.  


break
section ed editorial
max 200
section art articles
section col columns
max 50
section sal for sale
section wan wanted
max 20
nobreak
section not notices
